/*
 * function definitions stored in a hash
 */

typedef void (*fdefcb)( char *name, fdefn defn );

extern void init_funchash( void );
extern void destroy_funchash( void );
extern BOOL lookup_function( char * name );
extern BOOL lookup_function_flagerror( char * name );
extern void define_function( char * name, fdefn defn );
extern void foreach_function( fdefcb cb );
extern void print_funchash( FILE * out );
